SUSE SLED12 / SLES12 Security Update : mariadb (SUSE-SU-2016:0121-1)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote SUSE host is missing one or more security updates.

Description :

MariaDB has been updated to version 10.0.22, which brings fixes for
many security issues and other improvements.

The following CVEs have been fixed :

- 10.0.22: CVE-2015-4802, CVE-2015-4807, CVE-2015-4815,
CVE-2015-4826, CVE-2015-4830, CVE-2015-4836,
CVE-2015-4858, CVE-2015-4861, CVE-2015-4870,
CVE-2015-4913, CVE-2015-4792

- 10.0.21: CVE-2015-4816, CVE-2015-4819, CVE-2015-4879,
CVE-2015-4895

The following non-security issues have been fixed :

- Fix rc.mysql-multi script to properly start instances
after restart. (bsc#934401)

- Fix rc.mysql-multi script to restart after crash.
(bsc#937258)

For a comprehensive list of changes refer to the upstream Release
Notes and Change Log documents :

- https://kb.askmonty.org/en/mariadb-10022-release-notes/

- https://kb.askmonty.org/en/mariadb-10021-release-notes/

- https://kb.askmonty.org/en/mariadb-10022-changelog/

- https://kb.askmonty.org/en/mariadb-10021-changelog/

Note that Tenable Network Security has extracted the preceding
description block directly from the SUSE security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

See also :

https://bugzilla.suse.com/934401
https://bugzilla.suse.com/937258
https://bugzilla.suse.com/937343
https://bugzilla.suse.com/937787
https://bugzilla.suse.com/958789
https://bugzilla.suse.com/958790
https://kb.askmonty.org/en/mariadb-10021-changelog/
https://kb.askmonty.org/en/mariadb-10021-release-notes/
https://kb.askmonty.org/en/mariadb-10022-changelog/
https://kb.askmonty.org/en/mariadb-10022-release-notes/
https://www.suse.com/security/cve/CVE-2015-4792.html
https://www.suse.com/security/cve/CVE-2015-4802.html
https://www.suse.com/security/cve/CVE-2015-4807.html
https://www.suse.com/security/cve/CVE-2015-4815.html
https://www.suse.com/security/cve/CVE-2015-4816.html
https://www.suse.com/security/cve/CVE-2015-4819.html
https://www.suse.com/security/cve/CVE-2015-4826.html
https://www.suse.com/security/cve/CVE-2015-4830.html
https://www.suse.com/security/cve/CVE-2015-4836.html
https://www.suse.com/security/cve/CVE-2015-4858.html
https://www.suse.com/security/cve/CVE-2015-4861.html
https://www.suse.com/security/cve/CVE-2015-4870.html
https://www.suse.com/security/cve/CVE-2015-4879.html
https://www.suse.com/security/cve/CVE-2015-4895.html
https://www.suse.com/security/cve/CVE-2015-4913.html
http://www.nessus.org/u?0bdf1b6e

Solution :

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Workstation Extension 12 :

zypper in -t patch SUSE-SLE-WE-12-2016-87=1

SUSE Linux Enterprise Software Development Kit 12 :

zypper in -t patch SUSE-SLE-SDK-12-2016-87=1

SUSE Linux Enterprise Server 12 :

zypper in -t patch SUSE-SLE-SERVER-12-2016-87=1

SUSE Linux Enterprise Desktop 12 :

zypper in -t patch SUSE-SLE-DESKTOP-12-2016-87=1

To bring your system up-to-date, use 'zypper patch'.

Risk factor :

High / CVSS Base Score : 7.2
(CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 5.3
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now